Google App Engine
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Google App Engine action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Deploy to Google App Engine/buddy-tests-112923",
"type": "GOOGLE_APP_DEPLOY",
"trigger_time": "ON_EVERY_EXECUTION",
"local_path": "/",
"bucket_name": "artifacts.tokyo-house-112923.appspot.com",
"application_name": "buddy-tests-112923",
"version_label": "${BUDDY_RUN_COMMIT}",
"image_url": "gcr.io/your-project-id/your-image",
"promote_all_traffic": true,
"stop_previous_version": true,
"verbosity": "warning"
}'STATUS200 OK